clear position trjR
%% parameters
start_frame = 1; % the first frame to be analyzed
end_frame = 10;% the last frame to be analyzed
search_r = 10;% input the search radius, unit in pixel
Gauss_width = 2;% estimate the Gaussian width of your PSF, not need to be integer
%the fitting region will be 4*Gauss_width+1 pixels
wide = 3;% the wide threshold used to define a local maximum
local_thd = false;% true if want to calculate local threshold, false if global threshold is fine.
%% load the file
% this part require the file to be a .mat file, which contain a 3
% dimensional structure. The three dimensions are y, x, and t.
[filename, filepath] = uigetfile;
frames = importdata([filepath,filename]);
if isstruct(frames)
        frames = frames.Data1;
end
%% increase SNR and then identify particles for each frame
for t = start_frame : end_frame
    im = SNR_booster(frames(:,:,t));
    position(t-start_frame+1).p = particle_identify(im, local_thd, Gauss_width, wide);
end
%% mapping
disp('mapping')
% initial the trajectory matrix: first diminsion is time, second is x, y,
% and Gaussian width, third dimension is the particle number.
for p = 1 : numel(position(1).p(:,1))
    trjR(1, :, p) = position(1).p(p, :);
end
map_new = [1: p; 1: p]';% match the map between two frames to particle numbers in trjR
termied = [];% record the terminated particles
for time = 1 : numel(position)-1
    time;
    map1_2 = mapping_frames(position(time).p, position(time+1).p, search_r);
    [map_new, termied] = linking_map(map_new, map1_2, position, time, termied, search_r);
    trjR = map2trj(trjR, map_new, position(time + 1).p, time + 1);
end