%function main_Troika_GUI(action)
addpath '../'
SMSMain=figure('Name','Troika_SPT',...
    'Menubar','none',...
    'Position',[142 142 900 600],...
    'NumberTitle','off', ...
    'DoubleBuffer','on');   % turn off the flickering
%[filename, filepath] = uigetfile;
subplot(3,2,1);
load('lgo.mat'); image(lgo);axis image; axis off;
[filename, filepath] = uigetfile;
savename = [filename(1:end-4) '_spt'];
frames = importdata([filepath,filename]);
if isstruct(frames)
        frames = frames.Data1;
end
uicontrol('Style','Frame',...               % Frame the options
    'Position',[50 80 400 300],...
    'Tag','F_Box');
uicontrol('Style','Text',...                % A title for this group
    'String','Input Parameters',...
    'Position',[80 350 200 40],...
    'Tag','IP_Text','FontSize',16);
uicontrol('Style','Text',...                % start frame label
    'String','Start Frame',...
    'Position',[70 320 140 20],...
    'Tag','ff_Label','FontSize',12);
uicontrol('Style','Text',...                % 
    'String','End Frame',...
    'Position',[70 290 140 20],...
    'Tag','lf_Label','FontSize',12);
uicontrol('Style','Text',...                % 
    'String','Search Radius',...
    'Position',[70 260 140 20],...
    'Tag','sr_Label','FontSize',12);
uicontrol('Style','Text',...                % 
    'String','Gauss_width',...
    'Position',[70 230 140 20],...
    'Tag','gw_Label','FontSize',12);
uicontrol('Style','Text',...                % 
    'String','wide',...
    'Position',[70 200 140 20],...
    'Tag','w_Label','FontSize',12);


% inputs
uicontrol('Style','Edit',...                % start frame input
    'String','1',...
    'Position',[220 320 50 20],...
    'Tag','ff');
uicontrol('Style','Edit',...                % 
    'String','1',...
    'Position',[220 290 50 20],...
    'Tag','lf');
uicontrol('Style','Edit',...                % 
    'String','10',...
    'Position',[220 260 50 20],...
    'Tag','sr');
uicontrol('Style','Edit',...                % 
    'String','2',...
    'Position',[220 230 50 20],...
    'Tag','gw');
uicontrol('Style','Edit',...                % 
    'String','2',...
    'Position',[220 200 50 20],...
    'Tag','wd');


uicontrol('Style','Checkbox',...            % is this old data?  If so we can use the old loader
    'String','Local Threshold?',...
    'Position',[100 170 140 20],...
    'Tag','lt','FontSize',12);

uicontrol('Style','PushButton',...          % 
    'String','Update',...
    'Position',[300 300 70 40],...
    'Callback','update(frames)',...
    'Tag','Update','FontSize',12);
uicontrol('Style','PushButton',...          % 
    'String','Run',...
    'Position',[300 240 70 40],...
    'Callback','trjR = run_SPT(frames);',...
    'Tag','Start','FontSize',12);
uicontrol('Style','PushButton',...          % 
    'String','Save',...
    'Position',[300 180 70 40],...
    'Callback','save(savename, ''trjR'')',...
    'Tag','Save','FontSize',12);




